<?php
class Idioma extends Lumine_Base {
    // sobrecarga
    protected $_tablename = 'idioma';
    protected $_package   = 'Domain';
    public $idiomaid;
    public $id;
    public $lang;
    public $texto;
 
    public function getIdiomaid() {
    	return $this->idiomaid;
    }
    
    public function setIdiomaid($value) {
    	$this->idiomaid = $value;
    }
    /**
     * get id
     *
     */
    public function getId() {
    	return $this->id;
    }
    
    /**
     * set id
     * @param Type $value
     *
     */
    public function setId($value) {
    	$this->id = $value;
    }
    /**
     * get lang
     *
     */
    public function getLang() {
    	return $this->lang;
    }
    
    /**
     * set lang
     * @param Type $value
     *
     */
    public function setLang($value) {
    	$this->lang = $value;
    }
    /**
     * get texto
     *
     */
    public function getTexto() {
    	return $this->texto;
    }
    
    /**
     * set texto
     * @param Type $value
     *
     */
    public function setTexto($value) {
    	$this->texto = $value;
    }
    
    /**
     * Inicia os valores da classe
     * @author Hugo Ferreira da Silva
     * @return void
     */
    protected function _initialize()
    {
        # nome_do_membro, nome_da_coluna, tipo, comprimento, opcoes
        $this->_addField("idiomaid", "idiomaid", "int", 11, array('primary' => true, 'notnull' => true, 'autoincrement' => true));
        $this->_addField("id", "id", "varchar", 200, array('notnull' => true));
        $this->_addField("lang", "lang", "char", 2, array('notnull' => true));
        $this->_addField("texto", "texto", "varchar", 5000, array('notnull' => true));
    }
    /**
     * Recupera um objeto estaticamente
     * @author Hugo Ferreira da Silva
     * @return Idioma
     */
    public static function staticGet($pk, $pkValue = null)
    {
        $obj = new Idioma;
        $obj->get($pk, $pkValue);
        return $obj;
    }
	/**
	 * chama o destrutor pai
	 *
	 */
	function __destruct()
	{
		parent::__destruct();
	}
    #### END AUTOCODE
}
